Problème avec Wordpress [Fermé]

Signaler
Messages postés
26
Date d'inscription
mercredi 22 août 2018
Statut
Membre
Dernière intervention
8 avril 2020
-
Messages postés
5821
Date d'inscription
mercredi 30 octobre 2013
Statut
Membre
Dernière intervention
4 juin 2020
-
Bonjour,

J'ai deux codes erreurs suivants, comment les corriger ?

Lorsque je veux me connecter au site web :
Parse error: syntax error, unexpected T_STRING in /home/dubeaumo/www/wp-includes/load.php on line 1095

Lorsque je veux me connecter à l'admin du site :
Parse error: syntax error, unexpected T_OBJECT_OPERATOR in /home/dubeaumo/www/wp-login.php on line 115

Merci de votre aide,


3 réponses

Messages postés
28972
Date d'inscription
mercredi 22 octobre 2003
Statut
Modérateur
Dernière intervention
4 juin 2020
2 488
Bonjour,

Tu peux déjà commencer par désactiver les plugins et tester si ça refonctionne.
Si oui, tu devras réactiver les plugins un par un pour trouver celui qui fou le bazarre

Si ça ne fonctionne toujours pas malgré la désactivation des plugins.. il faudra nous donner le code source des lignes indiquées dans tes messages d'erreur.

1
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 77423 internautes nous ont dit merci ce mois-ci

Messages postés
5821
Date d'inscription
mercredi 30 octobre 2013
Statut
Membre
Dernière intervention
4 juin 2020
1 034
bonjour
ce sont des erreurs dues a une version obsolète de php, vérifie que ton hébergeur utilise une version de php récente (certains hébergeurs demande de l'activer manuellement via le fichier htaccess) et si c'est le cas, vérifie que tu n'utilise pas des thèmes ou des plugins non mis à jour

1
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 77423 internautes nous ont dit merci ce mois-ci

Messages postés
26
Date d'inscription
mercredi 22 août 2018
Statut
Membre
Dernière intervention
8 avril 2020

Bonjour,
En fait je dois nettoyer un site qui était bloqué pour HACK par OVH. La version du PHP était 4.4
J'ai fait nettoyage des fichiers... et à présent j'ai comme message :
Votre serveur utilise la version 4.4.9 de PHP mais WordPress 4.1.10 nécessite au moins la version 5.2.4.
Lorsque je modifie la version PHP j'ai le message suivant ;
Impossible de traiter cette demande via dubeaumonde.com à l'heure actuelle. HTTP ERROR 500

Que dois je faire ??? La je ne sais pas...
Je n'ai pas accès à l'admin Wordpress ... juste aux dossier par FTP.

Merci par avance de votre aide
Messages postés
5821
Date d'inscription
mercredi 30 octobre 2013
Statut
Membre
Dernière intervention
4 juin 2020
1 034
Tu as modifié la version de php avec un fichier ovhconfig comme expliqué ici
Messages postés
5821
Date d'inscription
mercredi 30 octobre 2013
Statut
Membre
Dernière intervention
4 juin 2020
1 034 >
Messages postés
26
Date d'inscription
mercredi 22 août 2018
Statut
Membre
Dernière intervention
8 avril 2020

le fichier c'est .ovhconfig (il n'y a pas de nom juste l'extension) et non ovh.config
Messages postés
26
Date d'inscription
mercredi 22 août 2018
Statut
Membre
Dernière intervention
8 avril 2020

oui pardon c'est bien ça. Ce n'est pas le problème.
Vu que le wordpress était dépassé comme tout le reste version obsolètes.
J'ai tout retiré. J'ai une sauvegarde des fichiers FTP mais que dois je selon vous réutiliser : le fichier config pour pointer vers ma base de donnée, les fichiers content ...
Apparemment le Hack à modifié les accès mot de passe...
Messages postés
5821
Date d'inscription
mercredi 30 octobre 2013
Statut
Membre
Dernière intervention
4 juin 2020
1 034 >
Messages postés
26
Date d'inscription
mercredi 22 août 2018
Statut
Membre
Dernière intervention
8 avril 2020

si tu n'a plus les identifiants de ta base de données, tu ne peux plus rien faire pour le moment. Il faut te connecter a ton compte ovh et demander au support comment changer les identifiants de la bdd.

ensuite et seulement ensuite tu pourras essayer de remettre ton site en êtat
Messages postés
26
Date d'inscription
mercredi 22 août 2018
Statut
Membre
Dernière intervention
8 avril 2020

Non j'ai bien les identifiants de la base de donnée et FTP
Mais lorsque j'ai tout installé je ne parviens pas me connecter l'admin Wordpress.
Messages postés
5821
Date d'inscription
mercredi 30 octobre 2013
Statut
Membre
Dernière intervention
4 juin 2020
1 034 >
Messages postés
26
Date d'inscription
mercredi 22 août 2018
Statut
Membre
Dernière intervention
8 avril 2020

tu as un message d'erreur quelconque ?? tu passes bien par la page wp-login.php et pas directement par wp-admin.php